# Update the desktop database:
if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
fi

# Update icon cache if one exists
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
  	/usr/bin/gtk-update-icon-cache -t -f -q usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/bin ; rm -rf dropboxd )
( cd usr/bin ; ln -sf /usr/share/dropbox/dropboxd dropboxd )
( cd usr/share/dropbox/dropbox-lnx.x86_64-237.4.5655 ; rm -rf libffi.so.7 )
( cd usr/share/dropbox/dropbox-lnx.x86_64-237.4.5655 ; ln -sf libffi.so.7.1.0 libffi.so.7 )
